let loginurl = '/appLogin/login.do' //登录
let companyReporturl = '/appReport/companyReport.do' //公司战报
let agentRankingurl = '/appReport/agentRanking.do' //经纪人排名
let departmentReporturl = '/appReport/departmentReport.do' //公司战报（部门）
let groupRankingurl = '/appReport/groupRanking.do' //组排名(首页)
let personReporturl = '/appReport/personReport.do' //公司战报（人员）
let addressBookurl = '/appPerson/addressBook.do' //员工通讯录（人员）
let roomListurl = '/appHouse/roomList.do' //出租房源列表
let regionurl = '/appHouse/region.do' //出租房区域、户型、价格、房型查询
let getRoomTypeurl = '/appHouse/getRoomType.do' //房型列表查询
let roomPictureListurl = '/appHouse/roomPictureList.do' //出租房源图片列表
let areaRegionurl = '/appHouse/areaRegion.do' //出租房片区查询
let depositurl = '/appHouse/deposit.do' //出租房源收定
let customerFindurl = '/appCustomer/customerFind.do' //客户列表
let customerViewurl = '/appCustomer/customerView.do' //客户带看录入
let customerAddurl = '/appCustomer/customerAdd.do' //客户录入
let customerViewHistoryurl = '/appCustomer/customerViewHistory.do' //客源带看记录
let getChannelurl = '/appCustomer/getChannel.do' //客源渠道列表
let housecustomerViewHistoryurl = '/appHouse/customerViewHistory.do' //带看历史
let intermediaryurl = '/appMediacy/intermediary.do' //居间查询
let getFollowTypeurl = '/appMediacy/getFollowType.do' //居间跟进类别
let intermediaryFollowurl = '/appMediacy/intermediaryFollow.do' //居间跟进
let customerReceivableurl = '/appCustomer/customerReceivable.do' //房间应收信息查询
let resetPasswordurl = '/appPerson/resetPassword.do' //个人密码修改
let findProxyHouseurl = '/appNetWork/findProxyHouse.do' //网络房源查询
let findNetWorkurl = '/appNetWork/findNetWork.do' //网络详情查询
let cleanRepairApplyurl = '/appCleanRepair/cleanRepairApply.do' //保洁维修申请
let cleanRepairReviewurl = '/appCleanRepair/cleanRepairReview.do' //保洁维修审核
let findCleanRepairurl = '/appCleanRepair/findCleanRepair.do' //保洁维修审核列表
let cleanRepairHistoryurl = '/appCleanRepair/cleanRepairHistory.do' //保洁维修带房改价申请历史列表
let stickyPosturl = '/appMediacy/stickyPost.do' //居间置顶
let cancelStickyPosturl = '/appMediacy/cancelStickyPost.do' //取消居间置顶
let appChangePriceapplyurl = '/appChangePrice/apply.do' //改价申请
let appChangePriceaccepturl = '/appChangePrice/accept.do' //改价申请审批
let appChangePriceprocessurl = '/appChangePrice/process.do' //改价申请进度
let appChangePricehistoryurl = '/appChangePrice/history.do' //改价历史
let appChangePricelisturl = '/appChangePrice/list.do' //改价申请详情（判断是否自己房源）
let appChangePricecheckurl = '/appChangePrice/check.do' //改价申请校验
let takeHouseApplyurl = '/appTakeHouse/takeHouseApply.do' //带房申请
let takeHouseReviewurl = '/appTakeHouse/takeHouseReview.do' //带房审核


const install = (Vue, vm) => {
  let login = (params) => vm.$u.post(loginurl, params);
  let appChangePriceapply = (params) => vm.$u.post(appChangePriceapplyurl, params);
  let appChangePriceaccept = (params) => vm.$u.post(appChangePriceaccepturl, params);
  let appChangePriceprocess = (params) => vm.$u.post(appChangePriceprocessurl, params);
  let appChangePricelist = (params) => vm.$u.post(appChangePricelisturl, params);
  let appChangePricehistory = (params) => vm.$u.post(appChangePricehistoryurl, params);
  let appChangePricecheck = (params) => vm.$u.post(appChangePricecheckurl, params);
  let takeHouseApply = (params) => vm.$u.post(takeHouseApplyurl, params);
  let takeHouseReview = (params) => vm.$u.post(takeHouseReviewurl, params);
  let intermediaryFollow = (params) => vm.$u.post(intermediaryFollowurl, params);
  let customerReceivable = (params) => vm.$u.post(customerReceivableurl, params);
  let resetPassword = (params) => vm.$u.post(resetPasswordurl, params);
  let findProxyHouse = (params) => vm.$u.post(findProxyHouseurl, params);
  let findNetWork = (params) => vm.$u.post(findNetWorkurl, params);
  let cleanRepairApply = (params) => vm.$u.post(cleanRepairApplyurl, params);
  let cleanRepairReview = (params) => vm.$u.post(cleanRepairReviewurl, params);
  let findCleanRepair = (params) => vm.$u.post(findCleanRepairurl, params);
  let cleanRepairHistory = (params) => vm.$u.post(cleanRepairHistoryurl, params);
  let stickyPost = (params) => vm.$u.post(stickyPosturl, params);
  let cancelStickyPost = (params) => vm.$u.post(cancelStickyPosturl, params);
  let companyReport = (params) => vm.$u.post(companyReporturl, params);
  let agentRanking = (params) => vm.$u.post(agentRankingurl, params);
  let departmentReport = (params) => vm.$u.post(departmentReporturl, params);
  let groupRanking = (params) => vm.$u.post(groupRankingurl, params);
  let personReport = (params) => vm.$u.post(personReporturl, params);
  let addressBook = (params) => vm.$u.post(addressBookurl, params);
  let roomList = (params) => vm.$u.post(roomListurl, params);
  let region = (params) => vm.$u.post(regionurl, params);
  let getRoomType = (params) => vm.$u.post(getRoomTypeurl, params);
  let roomPictureList = (params) => vm.$u.post(roomPictureListurl, params);
  let areaRegion = (params) => vm.$u.post(areaRegionurl, params);
  let deposit = (params) => vm.$u.post(depositurl, params);
  let customerFind = (params) => vm.$u.post(customerFindurl, params);
  let customerView = (params) => vm.$u.post(customerViewurl, params);
  let customerAdd = (params) => vm.$u.post(customerAddurl, params);
  let customerViewHistory = (params) => vm.$u.post(customerViewHistoryurl, params);
  let getChannel = (params) => vm.$u.post(getChannelurl, params);
  let housecustomerViewHistory = (params) => vm.$u.post(housecustomerViewHistoryurl, params);
  let intermediary = (params) => vm.$u.post(intermediaryurl, params);
  let getFollowType = (params) => vm.$u.post(getFollowTypeurl, params);

 
  vm.$u.api = {
    login,
    companyReport,
    agentRanking,
    departmentReport,
    groupRanking,
    personReport,
    addressBook,
    roomList,
    region,
    getRoomType,
    roomPictureList,
    areaRegion,
    deposit,
    customerFind,
    customerView,
    customerAdd,
    customerViewHistory,
    getChannel,
    housecustomerViewHistory,
    intermediary,
    getFollowType,
    appChangePriceapply,
    appChangePriceaccept,
    appChangePriceprocess,
    appChangePricelist,
    appChangePricehistory,
    appChangePricecheck,
    takeHouseApply,
    takeHouseReview,
    intermediaryFollow,
    customerReceivable,
    resetPassword,
    findProxyHouse,
    findNetWork,
    cleanRepairApply,
    cleanRepairReview,
    findCleanRepair,
    cleanRepairHistory,
    stickyPost,
    cancelStickyPost
  }
}

export default {
    install
}